Module ij
Package ij

# Class WindowManager

java.lang.Object
ij.WindowManager

public class WindowManager extends Object
This class consists of static methods used to manage ImageJ's windows.

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`checkForDuplicateName`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addWindow(Frame win)`
Adds the specified Frame to the Window menu.
`static void`
`addWindow(Window win)`
Adds the specified window to the Window menu.
`static boolean`
`closeAllWindows()`
Closes all windows.
`static Window`
`getActiveTable()`
Returns the Window containing the active table, or null.
`static Window`
`getActiveWindow()`
Returns the front most window or null.
`static Window[]`
`getAllNonImageWindows()`
Returns an array containing a list of the non-image Frames and Dialogs.
`static ImagePlus`
`getCurrentImage()`
Returns a reference to the active image or null if there isn't one.
`static ImageWindow`
`getCurrentWindow()`
Returns the active ImageWindow.
`static Frame`
`getFrame(String title)`
Obsolete; replaced by getWindow().
`static Frame`
`getFrontWindow()`
Obsolete; replaced by getActiveWindow.
`static int[]`
`getIDList()`
Returns a list of the IDs of open images.
`static ImagePlus`
`getImage(int imageID)`
For IDs less than zero, returns the ImagePlus with the specified ID.
`static ImagePlus`
`getImage(String title)`
Returns the first image that has the specified title or null if it is not found.
`static int`
`getImageCount()`
Returns the number of open images.
`static String[]`
`getImageTitles()`
Returns a list of the titles of all open images.
`static String[]`
`getNonImageTitles()`
Returns an array containing the titles of non-image Frames and Dialogs.
`static Frame[]`
`getNonImageWindows()`
Returns an array containing a list of the non-image Frames.
`static int`
`getNthImageID(int n)`
Returns the ID of the Nth open image.
`static ImagePlus`
`getTempCurrentImage()`
Returns the temporary current image for this thread, or null.
`static String`
`getUniqueName(ImagePlus imp, String name)`
`static String`
`getUniqueName(String name)`
Returns a unique name by adding, before the extension, -1, -2, etc.
`static Window`
`getWindow(String title)`
Returns the window (a Frame or a Dialog) with the specified title, or null if a window with that title is not found.
`static int`
`getWindowCount()`
Returns the number of open image windows.
`static String`
`makeUniqueName(String name)`
If 'name' is not unique, adds -1, -2, etc.
`static void`
`putBehind()`
Activates the next image window on the window list.
`static void`
`removeWindow(Frame win)`
Removes the specified Frame from the Window menu.
`static void`
`removeWindow(Window win)`
Removes the specified window from the Window menu.
`static void`
`repaintImageWindows()`
Repaints all open image windows.
`static void`
`setCurrentWindow(ImageWindow win)`
Makes the image contained in the specified window the active image.
`static void`
`setTempCurrentImage(ImagePlus img)`
Makes the specified image temporarily the active image for this thread.
`static void`
`setTempCurrentImage(Thread thread, ImagePlus img)`
Sets a temporary image for the specified thread.
`static void`
`setWindow(Frame win)`
The specified frame becomes the front window, the one returnd by getFrontWindow().
`static void`
`setWindow(Window win)`
The specified Window becomes the front window.
`static void`
`showList()`
`static void`
`toFront(Frame frame)`
`static void`
`toFront(Window window)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### checkForDuplicateName

public static boolean checkForDuplicateName

## Method Details

### setCurrentWindow

public static void setCurrentWindow(ImageWindow win)
Makes the image contained in the specified window the active image.

### getCurrentWindow

public static ImageWindow getCurrentWindow()
Returns the active ImageWindow.

### getCurrentImage

public static ImagePlus getCurrentImage()
Returns a reference to the active image or null if there isn't one.

See Also:
  - `IJ.getImage()`

### setTempCurrentImage

public static void setTempCurrentImage(ImagePlus img)
Makes the specified image temporarily the active image for this thread. Call again with a null argument to revert to the previous active image.

### setTempCurrentImage

public static void setTempCurrentImage(Thread thread, ImagePlus img)
Sets a temporary image for the specified thread.

### getWindowCount

public static int getWindowCount()
Returns the number of open image windows.

### getImageCount

public static int getImageCount()
Returns the number of open images.

### getActiveWindow

public static Window getActiveWindow()
Returns the front most window or null.

### getActiveTable

public static Window getActiveTable()
Returns the Window containing the active table, or null.

See Also:
  - `ResultsTable.getActiveTable()`

### getFrontWindow

public static Frame getFrontWindow()
Obsolete; replaced by getActiveWindow.

### getIDList

public static int[] getIDList()
Returns a list of the IDs of open images. Returns null if no image windows are open.

### getImageTitles

public static String[] getImageTitles()
Returns a list of the titles of all open images.

### getNonImageWindows

public static Frame[] getNonImageWindows()
Returns an array containing a list of the non-image Frames.

### getAllNonImageWindows

public static Window[] getAllNonImageWindows()
Returns an array containing a list of the non-image Frames and Dialogs.

### getNonImageTitles

public static String[] getNonImageTitles()
Returns an array containing the titles of non-image Frames and Dialogs.

### getImage

public static ImagePlus getImage(int imageID)
For IDs less than zero, returns the ImagePlus with the specified ID. Returns null if no open window has a matching ID or no images are open. For IDs greater than zero, returns the Nth ImagePlus. Returns null if the ID is zero.

### getNthImageID

public static int getNthImageID(int n)
Returns the ID of the Nth open image. Returns zero if ninvalid input: '<'=0 or n greater than the number of open image windows.

### getImage

public static ImagePlus getImage(String title)
Returns the first image that has the specified title or null if it is not found.

### addWindow

public static void addWindow(Window win)
Adds the specified window to the Window menu.

### addWindow

public static void addWindow(Frame win)
Adds the specified Frame to the Window menu.

### getUniqueName

public static String getUniqueName(String name)
Returns a unique name by adding, before the extension, -1, -2, etc. as needed.

### getUniqueName

public static String getUniqueName(ImagePlus imp, String name)

### makeUniqueName

public static String makeUniqueName(String name)
If 'name' is not unique, adds -1, -2, etc. as needed to make it unique.

### removeWindow

public static void removeWindow(Window win)
Removes the specified window from the Window menu.

### removeWindow

public static void removeWindow(Frame win)
Removes the specified Frame from the Window menu.

### setWindow

public static void setWindow(Window win)
The specified Window becomes the front window.

### setWindow

public static void setWindow(Frame win)
The specified frame becomes the front window, the one returnd by getFrontWindow().

### closeAllWindows

public static boolean closeAllWindows()
Closes all windows. Stops and returns false if an image or Editor "save changes" dialog is canceled.

### putBehind

public static void putBehind()
Activates the next image window on the window list.

### getTempCurrentImage

public static ImagePlus getTempCurrentImage()
Returns the temporary current image for this thread, or null.

### getWindow

public static Window getWindow(String title)
Returns the window (a Frame or a Dialog) with the specified title, or null if a window with that title is not found.

### getFrame

public static Frame getFrame(String title)
Obsolete; replaced by getWindow().

### repaintImageWindows

public static void repaintImageWindows()
Repaints all open image windows.

### showList

public static void showList()

### toFront

public static void toFront(Frame frame)

### toFront

public static void toFront(Window window)